Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.84.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
1.84.0.0
Broadcast address
1.85.255.255
First usable
1.84.0.1
Last usable
1.85.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 01540000 · Integer 22282240 to 22413311
Reverse DNS zones
84.1.in-addr.arpa
85.1.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001.01010100.00000000.000000001.84.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00000001.01010100.00000000.000000001.84.0.0
Broadcast00000001.01010101.11111111.111111111.85.255.255
Split into smaller subnets/26

1.84.0.0/15 makes 2,048 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.84.0.0/261.84.0.1 to 1.84.0.621.84.0.6362
21.84.0.64/261.84.0.65 to 1.84.0.1261.84.0.12762
31.84.0.128/261.84.0.129 to 1.84.0.1901.84.0.19162
41.84.0.192/261.84.0.193 to 1.84.0.2541.84.0.25562
51.84.1.0/261.84.1.1 to 1.84.1.621.84.1.6362
61.84.1.64/261.84.1.65 to 1.84.1.1261.84.1.12762
71.84.1.128/261.84.1.129 to 1.84.1.1901.84.1.19162
81.84.1.192/261.84.1.193 to 1.84.1.2541.84.1.25562
91.84.2.0/261.84.2.1 to 1.84.2.621.84.2.6362
101.84.2.64/261.84.2.65 to 1.84.2.1261.84.2.12762
111.84.2.128/261.84.2.129 to 1.84.2.1901.84.2.19162
121.84.2.192/261.84.2.193 to 1.84.2.2541.84.2.25562
131.84.3.0/261.84.3.1 to 1.84.3.621.84.3.6362
141.84.3.64/261.84.3.65 to 1.84.3.1261.84.3.12762
151.84.3.128/261.84.3.129 to 1.84.3.1901.84.3.19162
161.84.3.192/261.84.3.193 to 1.84.3.2541.84.3.25562
171.84.4.0/261.84.4.1 to 1.84.4.621.84.4.6362
181.84.4.64/261.84.4.65 to 1.84.4.1261.84.4.12762
191.84.4.128/261.84.4.129 to 1.84.4.1901.84.4.19162
201.84.4.192/261.84.4.193 to 1.84.4.2541.84.4.25562
211.84.5.0/261.84.5.1 to 1.84.5.621.84.5.6362
221.84.5.64/261.84.5.65 to 1.84.5.1261.84.5.12762
231.84.5.128/261.84.5.129 to 1.84.5.1901.84.5.19162
241.84.5.192/261.84.5.193 to 1.84.5.2541.84.5.25562
251.84.6.0/261.84.6.1 to 1.84.6.621.84.6.6362
261.84.6.64/261.84.6.65 to 1.84.6.1261.84.6.12762
271.84.6.128/261.84.6.129 to 1.84.6.1901.84.6.19162
281.84.6.192/261.84.6.193 to 1.84.6.2541.84.6.25562
291.84.7.0/261.84.7.1 to 1.84.7.621.84.7.6362
301.84.7.64/261.84.7.65 to 1.84.7.1261.84.7.12762
311.84.7.128/261.84.7.129 to 1.84.7.1901.84.7.19162
321.84.7.192/261.84.7.193 to 1.84.7.2541.84.7.25562
331.84.8.0/261.84.8.1 to 1.84.8.621.84.8.6362
341.84.8.64/261.84.8.65 to 1.84.8.1261.84.8.12762
351.84.8.128/261.84.8.129 to 1.84.8.1901.84.8.19162
361.84.8.192/261.84.8.193 to 1.84.8.2541.84.8.25562
371.84.9.0/261.84.9.1 to 1.84.9.621.84.9.6362
381.84.9.64/261.84.9.65 to 1.84.9.1261.84.9.12762
391.84.9.128/261.84.9.129 to 1.84.9.1901.84.9.19162
401.84.9.192/261.84.9.193 to 1.84.9.2541.84.9.25562
411.84.10.0/261.84.10.1 to 1.84.10.621.84.10.6362
421.84.10.64/261.84.10.65 to 1.84.10.1261.84.10.12762
431.84.10.128/261.84.10.129 to 1.84.10.1901.84.10.19162
441.84.10.192/261.84.10.193 to 1.84.10.2541.84.10.25562
451.84.11.0/261.84.11.1 to 1.84.11.621.84.11.6362
461.84.11.64/261.84.11.65 to 1.84.11.1261.84.11.12762
471.84.11.128/261.84.11.129 to 1.84.11.1901.84.11.19162
481.84.11.192/261.84.11.193 to 1.84.11.2541.84.11.25562
491.84.12.0/261.84.12.1 to 1.84.12.621.84.12.6362
501.84.12.64/261.84.12.65 to 1.84.12.1261.84.12.12762
511.84.12.128/261.84.12.129 to 1.84.12.1901.84.12.19162
521.84.12.192/261.84.12.193 to 1.84.12.2541.84.12.25562
531.84.13.0/261.84.13.1 to 1.84.13.621.84.13.6362
541.84.13.64/261.84.13.65 to 1.84.13.1261.84.13.12762
551.84.13.128/261.84.13.129 to 1.84.13.1901.84.13.19162
561.84.13.192/261.84.13.193 to 1.84.13.2541.84.13.25562
571.84.14.0/261.84.14.1 to 1.84.14.621.84.14.6362
581.84.14.64/261.84.14.65 to 1.84.14.1261.84.14.12762
591.84.14.128/261.84.14.129 to 1.84.14.1901.84.14.19162
601.84.14.192/261.84.14.193 to 1.84.14.2541.84.14.25562
611.84.15.0/261.84.15.1 to 1.84.15.621.84.15.6362
621.84.15.64/261.84.15.65 to 1.84.15.1261.84.15.12762
631.84.15.128/261.84.15.129 to 1.84.15.1901.84.15.19162
641.84.15.192/261.84.15.193 to 1.84.15.2541.84.15.25562
651.84.16.0/261.84.16.1 to 1.84.16.621.84.16.6362
661.84.16.64/261.84.16.65 to 1.84.16.1261.84.16.12762
671.84.16.128/261.84.16.129 to 1.84.16.1901.84.16.19162
681.84.16.192/261.84.16.193 to 1.84.16.2541.84.16.25562
691.84.17.0/261.84.17.1 to 1.84.17.621.84.17.6362
701.84.17.64/261.84.17.65 to 1.84.17.1261.84.17.12762
711.84.17.128/261.84.17.129 to 1.84.17.1901.84.17.19162
721.84.17.192/261.84.17.193 to 1.84.17.2541.84.17.25562
731.84.18.0/261.84.18.1 to 1.84.18.621.84.18.6362
741.84.18.64/261.84.18.65 to 1.84.18.1261.84.18.12762
751.84.18.128/261.84.18.129 to 1.84.18.1901.84.18.19162
761.84.18.192/261.84.18.193 to 1.84.18.2541.84.18.25562
771.84.19.0/261.84.19.1 to 1.84.19.621.84.19.6362
781.84.19.64/261.84.19.65 to 1.84.19.1261.84.19.12762
791.84.19.128/261.84.19.129 to 1.84.19.1901.84.19.19162
801.84.19.192/261.84.19.193 to 1.84.19.2541.84.19.25562
811.84.20.0/261.84.20.1 to 1.84.20.621.84.20.6362
821.84.20.64/261.84.20.65 to 1.84.20.1261.84.20.12762
831.84.20.128/261.84.20.129 to 1.84.20.1901.84.20.19162
841.84.20.192/261.84.20.193 to 1.84.20.2541.84.20.25562
851.84.21.0/261.84.21.1 to 1.84.21.621.84.21.6362
861.84.21.64/261.84.21.65 to 1.84.21.1261.84.21.12762
871.84.21.128/261.84.21.129 to 1.84.21.1901.84.21.19162
881.84.21.192/261.84.21.193 to 1.84.21.2541.84.21.25562
891.84.22.0/261.84.22.1 to 1.84.22.621.84.22.6362
901.84.22.64/261.84.22.65 to 1.84.22.1261.84.22.12762
911.84.22.128/261.84.22.129 to 1.84.22.1901.84.22.19162
921.84.22.192/261.84.22.193 to 1.84.22.2541.84.22.25562
931.84.23.0/261.84.23.1 to 1.84.23.621.84.23.6362
941.84.23.64/261.84.23.65 to 1.84.23.1261.84.23.12762
951.84.23.128/261.84.23.129 to 1.84.23.1901.84.23.19162
961.84.23.192/261.84.23.193 to 1.84.23.2541.84.23.25562
971.84.24.0/261.84.24.1 to 1.84.24.621.84.24.6362
981.84.24.64/261.84.24.65 to 1.84.24.1261.84.24.12762
991.84.24.128/261.84.24.129 to 1.84.24.1901.84.24.19162
1001.84.24.192/261.84.24.193 to 1.84.24.2541.84.24.25562
1011.84.25.0/261.84.25.1 to 1.84.25.621.84.25.6362
1021.84.25.64/261.84.25.65 to 1.84.25.1261.84.25.12762
1031.84.25.128/261.84.25.129 to 1.84.25.1901.84.25.19162
1041.84.25.192/261.84.25.193 to 1.84.25.2541.84.25.25562
1051.84.26.0/261.84.26.1 to 1.84.26.621.84.26.6362
1061.84.26.64/261.84.26.65 to 1.84.26.1261.84.26.12762
1071.84.26.128/261.84.26.129 to 1.84.26.1901.84.26.19162
1081.84.26.192/261.84.26.193 to 1.84.26.2541.84.26.25562
1091.84.27.0/261.84.27.1 to 1.84.27.621.84.27.6362
1101.84.27.64/261.84.27.65 to 1.84.27.1261.84.27.12762
1111.84.27.128/261.84.27.129 to 1.84.27.1901.84.27.19162
1121.84.27.192/261.84.27.193 to 1.84.27.2541.84.27.25562
1131.84.28.0/261.84.28.1 to 1.84.28.621.84.28.6362
1141.84.28.64/261.84.28.65 to 1.84.28.1261.84.28.12762
1151.84.28.128/261.84.28.129 to 1.84.28.1901.84.28.19162
1161.84.28.192/261.84.28.193 to 1.84.28.2541.84.28.25562
1171.84.29.0/261.84.29.1 to 1.84.29.621.84.29.6362
1181.84.29.64/261.84.29.65 to 1.84.29.1261.84.29.12762
1191.84.29.128/261.84.29.129 to 1.84.29.1901.84.29.19162
1201.84.29.192/261.84.29.193 to 1.84.29.2541.84.29.25562
1211.84.30.0/261.84.30.1 to 1.84.30.621.84.30.6362
1221.84.30.64/261.84.30.65 to 1.84.30.1261.84.30.12762
1231.84.30.128/261.84.30.129 to 1.84.30.1901.84.30.19162
1241.84.30.192/261.84.30.193 to 1.84.30.2541.84.30.25562
1251.84.31.0/261.84.31.1 to 1.84.31.621.84.31.6362
1261.84.31.64/261.84.31.65 to 1.84.31.1261.84.31.12762
1271.84.31.128/261.84.31.129 to 1.84.31.1901.84.31.19162
1281.84.31.192/261.84.31.193 to 1.84.31.2541.84.31.25562
1291.84.32.0/261.84.32.1 to 1.84.32.621.84.32.6362
1301.84.32.64/261.84.32.65 to 1.84.32.1261.84.32.12762
1311.84.32.128/261.84.32.129 to 1.84.32.1901.84.32.19162
1321.84.32.192/261.84.32.193 to 1.84.32.2541.84.32.25562
1331.84.33.0/261.84.33.1 to 1.84.33.621.84.33.6362
1341.84.33.64/261.84.33.65 to 1.84.33.1261.84.33.12762
1351.84.33.128/261.84.33.129 to 1.84.33.1901.84.33.19162
1361.84.33.192/261.84.33.193 to 1.84.33.2541.84.33.25562
1371.84.34.0/261.84.34.1 to 1.84.34.621.84.34.6362
1381.84.34.64/261.84.34.65 to 1.84.34.1261.84.34.12762
1391.84.34.128/261.84.34.129 to 1.84.34.1901.84.34.19162
1401.84.34.192/261.84.34.193 to 1.84.34.2541.84.34.25562
1411.84.35.0/261.84.35.1 to 1.84.35.621.84.35.6362
1421.84.35.64/261.84.35.65 to 1.84.35.1261.84.35.12762
1431.84.35.128/261.84.35.129 to 1.84.35.1901.84.35.19162
1441.84.35.192/261.84.35.193 to 1.84.35.2541.84.35.25562
1451.84.36.0/261.84.36.1 to 1.84.36.621.84.36.6362
1461.84.36.64/261.84.36.65 to 1.84.36.1261.84.36.12762
1471.84.36.128/261.84.36.129 to 1.84.36.1901.84.36.19162
1481.84.36.192/261.84.36.193 to 1.84.36.2541.84.36.25562
1491.84.37.0/261.84.37.1 to 1.84.37.621.84.37.6362
1501.84.37.64/261.84.37.65 to 1.84.37.1261.84.37.12762
1511.84.37.128/261.84.37.129 to 1.84.37.1901.84.37.19162
1521.84.37.192/261.84.37.193 to 1.84.37.2541.84.37.25562
1531.84.38.0/261.84.38.1 to 1.84.38.621.84.38.6362
1541.84.38.64/261.84.38.65 to 1.84.38.1261.84.38.12762
1551.84.38.128/261.84.38.129 to 1.84.38.1901.84.38.19162
1561.84.38.192/261.84.38.193 to 1.84.38.2541.84.38.25562
1571.84.39.0/261.84.39.1 to 1.84.39.621.84.39.6362
1581.84.39.64/261.84.39.65 to 1.84.39.1261.84.39.12762
1591.84.39.128/261.84.39.129 to 1.84.39.1901.84.39.19162
1601.84.39.192/261.84.39.193 to 1.84.39.2541.84.39.25562
1611.84.40.0/261.84.40.1 to 1.84.40.621.84.40.6362
1621.84.40.64/261.84.40.65 to 1.84.40.1261.84.40.12762
1631.84.40.128/261.84.40.129 to 1.84.40.1901.84.40.19162
1641.84.40.192/261.84.40.193 to 1.84.40.2541.84.40.25562
1651.84.41.0/261.84.41.1 to 1.84.41.621.84.41.6362
1661.84.41.64/261.84.41.65 to 1.84.41.1261.84.41.12762
1671.84.41.128/261.84.41.129 to 1.84.41.1901.84.41.19162
1681.84.41.192/261.84.41.193 to 1.84.41.2541.84.41.25562
1691.84.42.0/261.84.42.1 to 1.84.42.621.84.42.6362
1701.84.42.64/261.84.42.65 to 1.84.42.1261.84.42.12762
1711.84.42.128/261.84.42.129 to 1.84.42.1901.84.42.19162
1721.84.42.192/261.84.42.193 to 1.84.42.2541.84.42.25562
1731.84.43.0/261.84.43.1 to 1.84.43.621.84.43.6362
1741.84.43.64/261.84.43.65 to 1.84.43.1261.84.43.12762
1751.84.43.128/261.84.43.129 to 1.84.43.1901.84.43.19162
1761.84.43.192/261.84.43.193 to 1.84.43.2541.84.43.25562
1771.84.44.0/261.84.44.1 to 1.84.44.621.84.44.6362
1781.84.44.64/261.84.44.65 to 1.84.44.1261.84.44.12762
1791.84.44.128/261.84.44.129 to 1.84.44.1901.84.44.19162
1801.84.44.192/261.84.44.193 to 1.84.44.2541.84.44.25562
1811.84.45.0/261.84.45.1 to 1.84.45.621.84.45.6362
1821.84.45.64/261.84.45.65 to 1.84.45.1261.84.45.12762
1831.84.45.128/261.84.45.129 to 1.84.45.1901.84.45.19162
1841.84.45.192/261.84.45.193 to 1.84.45.2541.84.45.25562
1851.84.46.0/261.84.46.1 to 1.84.46.621.84.46.6362
1861.84.46.64/261.84.46.65 to 1.84.46.1261.84.46.12762
1871.84.46.128/261.84.46.129 to 1.84.46.1901.84.46.19162
1881.84.46.192/261.84.46.193 to 1.84.46.2541.84.46.25562
1891.84.47.0/261.84.47.1 to 1.84.47.621.84.47.6362
1901.84.47.64/261.84.47.65 to 1.84.47.1261.84.47.12762
1911.84.47.128/261.84.47.129 to 1.84.47.1901.84.47.19162
1921.84.47.192/261.84.47.193 to 1.84.47.2541.84.47.25562
1931.84.48.0/261.84.48.1 to 1.84.48.621.84.48.6362
1941.84.48.64/261.84.48.65 to 1.84.48.1261.84.48.12762
1951.84.48.128/261.84.48.129 to 1.84.48.1901.84.48.19162
1961.84.48.192/261.84.48.193 to 1.84.48.2541.84.48.25562
1971.84.49.0/261.84.49.1 to 1.84.49.621.84.49.6362
1981.84.49.64/261.84.49.65 to 1.84.49.1261.84.49.12762
1991.84.49.128/261.84.49.129 to 1.84.49.1901.84.49.19162
2001.84.49.192/261.84.49.193 to 1.84.49.2541.84.49.25562
2011.84.50.0/261.84.50.1 to 1.84.50.621.84.50.6362
2021.84.50.64/261.84.50.65 to 1.84.50.1261.84.50.12762
2031.84.50.128/261.84.50.129 to 1.84.50.1901.84.50.19162
2041.84.50.192/261.84.50.193 to 1.84.50.2541.84.50.25562
2051.84.51.0/261.84.51.1 to 1.84.51.621.84.51.6362
2061.84.51.64/261.84.51.65 to 1.84.51.1261.84.51.12762
2071.84.51.128/261.84.51.129 to 1.84.51.1901.84.51.19162
2081.84.51.192/261.84.51.193 to 1.84.51.2541.84.51.25562
2091.84.52.0/261.84.52.1 to 1.84.52.621.84.52.6362
2101.84.52.64/261.84.52.65 to 1.84.52.1261.84.52.12762
2111.84.52.128/261.84.52.129 to 1.84.52.1901.84.52.19162
2121.84.52.192/261.84.52.193 to 1.84.52.2541.84.52.25562
2131.84.53.0/261.84.53.1 to 1.84.53.621.84.53.6362
2141.84.53.64/261.84.53.65 to 1.84.53.1261.84.53.12762
2151.84.53.128/261.84.53.129 to 1.84.53.1901.84.53.19162
2161.84.53.192/261.84.53.193 to 1.84.53.2541.84.53.25562
2171.84.54.0/261.84.54.1 to 1.84.54.621.84.54.6362
2181.84.54.64/261.84.54.65 to 1.84.54.1261.84.54.12762
2191.84.54.128/261.84.54.129 to 1.84.54.1901.84.54.19162
2201.84.54.192/261.84.54.193 to 1.84.54.2541.84.54.25562
2211.84.55.0/261.84.55.1 to 1.84.55.621.84.55.6362
2221.84.55.64/261.84.55.65 to 1.84.55.1261.84.55.12762
2231.84.55.128/261.84.55.129 to 1.84.55.1901.84.55.19162
2241.84.55.192/261.84.55.193 to 1.84.55.2541.84.55.25562
2251.84.56.0/261.84.56.1 to 1.84.56.621.84.56.6362
2261.84.56.64/261.84.56.65 to 1.84.56.1261.84.56.12762
2271.84.56.128/261.84.56.129 to 1.84.56.1901.84.56.19162
2281.84.56.192/261.84.56.193 to 1.84.56.2541.84.56.25562
2291.84.57.0/261.84.57.1 to 1.84.57.621.84.57.6362
2301.84.57.64/261.84.57.65 to 1.84.57.1261.84.57.12762
2311.84.57.128/261.84.57.129 to 1.84.57.1901.84.57.19162
2321.84.57.192/261.84.57.193 to 1.84.57.2541.84.57.25562
2331.84.58.0/261.84.58.1 to 1.84.58.621.84.58.6362
2341.84.58.64/261.84.58.65 to 1.84.58.1261.84.58.12762
2351.84.58.128/261.84.58.129 to 1.84.58.1901.84.58.19162
2361.84.58.192/261.84.58.193 to 1.84.58.2541.84.58.25562
2371.84.59.0/261.84.59.1 to 1.84.59.621.84.59.6362
2381.84.59.64/261.84.59.65 to 1.84.59.1261.84.59.12762
2391.84.59.128/261.84.59.129 to 1.84.59.1901.84.59.19162
2401.84.59.192/261.84.59.193 to 1.84.59.2541.84.59.25562
2411.84.60.0/261.84.60.1 to 1.84.60.621.84.60.6362
2421.84.60.64/261.84.60.65 to 1.84.60.1261.84.60.12762
2431.84.60.128/261.84.60.129 to 1.84.60.1901.84.60.19162
2441.84.60.192/261.84.60.193 to 1.84.60.2541.84.60.25562
2451.84.61.0/261.84.61.1 to 1.84.61.621.84.61.6362
2461.84.61.64/261.84.61.65 to 1.84.61.1261.84.61.12762
2471.84.61.128/261.84.61.129 to 1.84.61.1901.84.61.19162
2481.84.61.192/261.84.61.193 to 1.84.61.2541.84.61.25562
2491.84.62.0/261.84.62.1 to 1.84.62.621.84.62.6362
2501.84.62.64/261.84.62.65 to 1.84.62.1261.84.62.12762
2511.84.62.128/261.84.62.129 to 1.84.62.1901.84.62.19162
2521.84.62.192/261.84.62.193 to 1.84.62.2541.84.62.25562
2531.84.63.0/261.84.63.1 to 1.84.63.621.84.63.6362
2541.84.63.64/261.84.63.65 to 1.84.63.1261.84.63.12762
2551.84.63.128/261.84.63.129 to 1.84.63.1901.84.63.19162
2561.84.63.192/261.84.63.193 to 1.84.63.2541.84.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses